"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunk5RX5WFEWcjs = require('./chunk-5RX5WFEW.cjs');


var _chunk4DAZAO6Ycjs = require('./chunk-4DAZAO6Y.cjs');

// src/components/common/CountdownButton.tsx
var _react = require('react');
var _jsxruntime = require('react/jsx-runtime');
function CountdownButton({
  initialSeconds,
  appearance,
  countdownText,
  countdownCompleteText,
  handleOnClick
}) {
  var _a, _b, _c, _d;
  const [seconds, setSeconds] = _react.useState.call(void 0, initialSeconds);
  const [canResend, setCanResend] = _react.useState.call(void 0, true);
  const [retryCount, setRetryCount] = _react.useState.call(void 0, 0);
  const [isLoading, setIsLoading] = _react.useState.call(void 0, false);
  _react.useEffect.call(void 0, () => {
    let timer;
    if (seconds > 0) {
      setCanResend(false);
      timer = setInterval(() => {
        setSeconds((prev) => {
          if (prev <= 1) {
            setCanResend(true);
            return 0;
          }
          return prev - 1;
        });
      }, 1e3);
    }
    return () => {
      if (timer != null) {
        clearInterval(timer);
      }
    };
  }, [seconds]);
  const startCountdown = () => {
    if (!canResend) {
      return;
    }
    const backoffDelay = Math.min(initialSeconds * Math.pow(2, retryCount), 240);
    setSeconds(backoffDelay);
    setRetryCount((prev) => prev + 1);
  };
  const handleClick = () => _chunk4DAZAO6Ycjs.__async.call(void 0, this, null, function* () {
    if (canResend && seconds === 0 && !isLoading) {
      setIsLoading(true);
      yield handleOnClick();
      startCountdown();
      setIsLoading(false);
    }
  });
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    "button",
    {
      onClick: handleClick,
      disabled: !canResend || isLoading,
      className: _chunk5RX5WFEWcjs.classNames.call(void 0, 
        "text-sm leading-tight text-center mt-2 transition-opacity",
        canResend && !isLoading ? "cursor-pointer opacity-100" : "cursor-default opacity-50"
      ),
      style: {
        color: canResend ? (_b = (_a = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _a.textLink) != null ? _b : "#1A73E8" : (_d = (_c = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _c.textSecondary) != null ? _d : "#67797F"
      },
      children: canResend ? countdownCompleteText : countdownText(seconds)
    }
  );
}



exports.CountdownButton = CountdownButton;
//# sourceMappingURL=chunk-2DG4R653.cjs.map