import {
  classNames
} from "./chunk-RZPQIRIY.js";
import {
  __objRest,
  __spreadProps,
  __spreadValues
} from "./chunk-CRTRMMJ7.js";

// src/components/common/InputOTP.tsx
import * as React from "react";
import { OTPInput, OTPInputContext } from "input-otp";
import { createContext, useContext as useContext2 } from "react";
import { jsx, jsxs } from "react/jsx-runtime";
var CustomStylesContext = createContext(void 0);
var InputOTP = React.forwardRef((_a, ref) => {
  var _b = _a, { className, containerClassName, customStyles } = _b, props = __objRest(_b, ["className", "containerClassName", "customStyles"]);
  return /* @__PURE__ */ jsx(CustomStylesContext.Provider, { value: customStyles, children: /* @__PURE__ */ jsx(
    OTPInput,
    __spreadValues({
      autoFocus: true,
      ref,
      containerClassName: classNames("flex items-center gap-2 has-[:disabled]:opacity-50", containerClassName),
      className: classNames("disabled:cursor-not-allowed", className)
    }, props)
  ) });
});
InputOTP.displayName = "InputOTP";
var InputOTPGroup = React.forwardRef(
  (_a, ref) => {
    var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
    return /* @__PURE__ */ jsx("div", __spreadValues({ ref, className: classNames("flex gap-2 items-center", className) }, props));
  }
);
InputOTPGroup.displayName = "InputOTPGroup";
var InputOTPSlot = React.forwardRef((_a, ref) => {
  var _b = _a, { index, className, hasError } = _b, props = __objRest(_b, ["index", "className", "hasError"]);
  const inputOTPContext = React.useContext(OTPInputContext);
  const { char, hasFakeCaret, isActive } = inputOTPContext.slots[index];
  const customStyles = useContext2(CustomStylesContext);
  return /* @__PURE__ */ jsxs(
    "div",
    __spreadProps(__spreadValues({
      ref,
      className: classNames(
        "relative flex h-14 w-12 items-center bg-cm-muted-primary justify-center border border-cm-border text-lg transition-all rounded-md text-cm-text-primary",
        isActive && `z-10 ring-2 ring-offset-background`,
        className
      ),
      style: {
        borderRadius: customStyles == null ? void 0 : customStyles.borderRadius,
        borderColor: hasError ? customStyles == null ? void 0 : customStyles.danger : customStyles == null ? void 0 : customStyles.border,
        boxShadow: isActive ? `0 0 0 2px ${customStyles == null ? void 0 : customStyles.accent}` : "none",
        backgroundColor: char ? customStyles == null ? void 0 : customStyles.buttonBackground : customStyles == null ? void 0 : customStyles.inputBackground
      }
    }, props), {
      children: [
        char,
        hasFakeCaret && /* @__PURE__ */ jsx("div", { className: "pointer-events-none absolute inset-0 flex items-center justify-center", children: /* @__PURE__ */ jsx(
          "div",
          {
            className: "h-4 w-px animate-caret-blink duration-1000",
            style: {
              height: "18px",
              backgroundColor: customStyles == null ? void 0 : customStyles.textPrimary
            }
          }
        ) })
      ]
    })
  );
});
InputOTPSlot.displayName = "InputOTPSlot";

export {
  InputOTP,
  InputOTPGroup,
  InputOTPSlot
};
//# sourceMappingURL=chunk-33WZFL2D.js.map