import {
  EmailInput
} from "./chunk-PIBLEOBQ.js";
import {
  EmailOTPInput
} from "./chunk-IUCMANQB.js";
import {
  Dialog,
  DialogContent,
  DialogDescription,
  DialogTitle
} from "./chunk-72LSMHPL.js";

// src/components/signers/EmailSignersDialog.tsx
import { useState } from "react";
import { VisuallyHidden } from "@radix-ui/react-visually-hidden";
import { jsx, jsxs } from "react/jsx-runtime";
function EmailSignersDialog({
  open,
  setOpen,
  step,
  setStep,
  onSubmitOTP,
  onResendOTPCode,
  onSubmitEmail,
  appearance
}) {
  var _a, _b, _c;
  const [email, setEmail] = useState("");
  return /* @__PURE__ */ jsx(Dialog, { modal: false, open, onOpenChange: setOpen, children: /* @__PURE__ */ jsxs(
    DialogContent,
    {
      onInteractOutside: (e) => e.preventDefault(),
      onOpenAutoFocus: (e) => e.preventDefault(),
      className: "!p-0 !min-[480px]:p-0",
      style: {
        borderRadius: appearance == null ? void 0 : appearance.borderRadius,
        backgroundColor: (_a = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _a.background
      },
      children: [
        /* @__PURE__ */ jsx(VisuallyHidden, { asChild: true, children: /* @__PURE__ */ jsx(DialogTitle, { children: "Crossmint Recovery Key" }) }),
        /* @__PURE__ */ jsx(VisuallyHidden, { asChild: true, children: /* @__PURE__ */ jsx(DialogDescription, { children: "Create a recovery key" }) }),
        /* @__PURE__ */ jsxs("div", { className: "relative pt-10 pb-[30px] px-6 !min-[480px]:px-10 flex flex-col gap-[10px] antialiased animate-none max-w-[448px]", children: [
          step === "initial" ? /* @__PURE__ */ jsxs("div", { children: [
            /* @__PURE__ */ jsx(
              "h1",
              {
                className: "text-2xl font-bold text-cm-text-primary",
                style: { color: (_b = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _b.textPrimary },
                children: "Create Recovery Key"
              }
            ),
            /* @__PURE__ */ jsx(
              "p",
              {
                className: "text-base font-normal mb-3 text-cm-text-secondary",
                style: { color: (_c = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _c.textSecondary },
                children: "Enter your email to create a recovery key"
              }
            )
          ] }) : null,
          step === "otp" ? /* @__PURE__ */ jsx(
            EmailOTPInput,
            {
              email,
              onSubmitOTP,
              handleOnBack: () => setStep("initial"),
              onResendCode: () => onResendOTPCode(email),
              appearance
            }
          ) : /* @__PURE__ */ jsx(
            EmailInput,
            {
              email,
              setEmail,
              onSubmitEmail,
              appearance
            }
          )
        ] })
      ]
    }
  ) });
}

export {
  EmailSignersDialog
};
//# sourceMappingURL=chunk-35QBUT6F.js.map