"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunk4DAZAO6Ycjs = require('./chunk-4DAZAO6Y.cjs');

// src/components/embed/v3/crypto/PayerConnectionHandler.tsx
var _react = require('react');
function PayerConnectionHandler({
  payer,
  iframeClient
}) {
  _react.useEffect.call(void 0, () => {
    if (iframeClient == null) {
      return;
    }
    const signTransactionListener = iframeClient.on(
      "crypto:send-transaction",
      (_0) => _chunk4DAZAO6Ycjs.__async.call(void 0, this, [_0], function* ({ chain, serializedTransaction }) {
        try {
          yield payer.handleChainSwitch(chain);
          const tx = yield payer.handleSignAndSendTransaction(serializedTransaction);
          const txId = tx.success ? tx.txId : "";
          if (tx.success) {
            iframeClient.send("crypto:send-transaction:success", { txId });
          } else {
            iframeClient.send("crypto:send-transaction:failed", { error: tx.errorMessage });
          }
        } catch (error) {
          console.error("[SignerConnectionHandler] Failed to send transaction", error);
          iframeClient.send("crypto:send-transaction:failed", {
            error: error.message || "An unknown error occurred"
          });
        }
      })
    );
    return () => {
      iframeClient.off(signTransactionListener);
    };
  }, [iframeClient]);
  return null;
}



exports.PayerConnectionHandler = PayerConnectionHandler;
//# sourceMappingURL=chunk-3CWYQQ65.cjs.map