import {
  Dialog,
  DialogContent,
  DialogDescription,
  DialogTitle
} from "./chunk-72LSMHPL.js";
import {
  SecuredByCrossmint
} from "./chunk-5BYCXTC3.js";
import {
  classNames
} from "./chunk-RZPQIRIY.js";
import {
  FingerprintIcon
} from "./chunk-H4F7UVPT.js";
import {
  PasskeyIcon
} from "./chunk-IQPA3QOV.js";
import {
  PasskeyPromptLogo
} from "./chunk-OYO5HXKX.js";

// src/components/auth/PasskeyPrompt.tsx
import { VisuallyHidden } from "@radix-ui/react-visually-hidden";
import { Fragment, jsx, jsxs } from "react/jsx-runtime";
function PasskeyPromptCore({ title, content, primaryButton, secondaryAction, appearance }) {
  var _a, _b, _c, _d;
  return /* @__PURE__ */ jsx(Dialog, { modal: false, open: true, onOpenChange: () => {
  }, children: /* @__PURE__ */ jsxs(
    DialogContent,
    {
      showCloseButton: false,
      onInteractOutside: (e) => e.preventDefault(),
      onOpenAutoFocus: (e) => e.preventDefault(),
      className: "!p-0 !min-[480px]:p-0",
      style: {
        borderRadius: appearance == null ? void 0 : appearance.borderRadius,
        backgroundColor: (_a = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _a.background
      },
      children: [
        /* @__PURE__ */ jsx(VisuallyHidden, { asChild: true, children: /* @__PURE__ */ jsx(DialogTitle, { children: title }) }),
        /* @__PURE__ */ jsx(VisuallyHidden, { asChild: true, children: /* @__PURE__ */ jsx(DialogDescription, { children: content }) }),
        /* @__PURE__ */ jsxs("div", { className: "relative pt-10 pb-[30px] px-6 !min-[480px]:px-10 flex flex-col gap-[10px] antialiased animate-none", children: [
          /* @__PURE__ */ jsx("div", { className: "flex justify-center left-1.5 relative", children: /* @__PURE__ */ jsx(PasskeyPromptLogo, { appearance }) }),
          /* @__PURE__ */ jsx("div", { className: "flex justify-center", children: /* @__PURE__ */ jsx(
            "p",
            {
              style: {
                fontSize: "1.125rem",
                lineHeight: "1.75rem",
                fontWeight: "bold",
                color: ((_b = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _b.textPrimary) || "#20343E"
              },
              children: title
            }
          ) }),
          /* @__PURE__ */ jsx("div", { className: "mb-6", children: /* @__PURE__ */ jsx(
            "div",
            {
              style: {
                fontWeight: "normal",
                color: ((_c = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _c.textSecondary) || "#67797F"
              },
              children: content
            }
          ) }),
          /* @__PURE__ */ jsxs("div", { className: "flex flex-col gap-4 justify-center", children: [
            primaryButton,
            secondaryAction
          ] }),
          /* @__PURE__ */ jsx("div", { className: "flex justify-center pt-4", children: /* @__PURE__ */ jsx(SecuredByCrossmint, { color: (_d = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _d.textSecondary }) })
        ] })
      ]
    }
  ) });
}
function PasskeyPrompt({ state, appearance }) {
  var _a, _b;
  switch (state.type) {
    case "create-wallet":
      return /* @__PURE__ */ jsx(
        PasskeyPromptCore,
        {
          title: "Create Your Wallet",
          appearance,
          content: /* @__PURE__ */ jsxs(Fragment, { children: [
            /* @__PURE__ */ jsx("div", { className: "mb-3", children: "You're about to create a wallet." }),
            /* @__PURE__ */ jsxs("div", { className: "flex flex-col gap-2", children: [
              /* @__PURE__ */ jsxs("div", { className: "flex gap-2", children: [
                /* @__PURE__ */ jsx("div", { children: /* @__PURE__ */ jsx(PasskeyIcon, {}) }),
                "Your wallet will be secured with a passkey"
              ] }),
              /* @__PURE__ */ jsxs("div", { className: "flex gap-2", children: [
                /* @__PURE__ */ jsx("div", { children: /* @__PURE__ */ jsx(FingerprintIcon, {}) }),
                "Your device will ask you for your fingerprint, face, or screen lock to set it up"
              ] })
            ] })
          ] }),
          primaryButton: /* @__PURE__ */ jsx(PrimaryButton, { appearance, onClick: state.primaryActionOnClick, children: "Create Wallet" })
        }
      );
    case "create-wallet-error":
      return /* @__PURE__ */ jsx(
        PasskeyPromptCore,
        {
          title: "Wallet Creation Failed",
          appearance,
          content: /* @__PURE__ */ jsx("div", { children: "We couldn't create your wallet. This could be due to rejecting the request, a timeout, or not having access to your passkey on this device." }),
          primaryButton: /* @__PURE__ */ jsx(PrimaryButton, { appearance, onClick: state.primaryActionOnClick, children: "Try again" })
        }
      );
    case "transaction":
      return /* @__PURE__ */ jsx(
        PasskeyPromptCore,
        {
          title: "First Time Using Your Wallet",
          appearance,
          content: /* @__PURE__ */ jsx("div", { className: "flex flex-col gap-2", children: /* @__PURE__ */ jsxs("div", { className: "flex gap-2", children: [
            /* @__PURE__ */ jsx("div", { children: /* @__PURE__ */ jsx(FingerprintIcon, {}) }),
            /* @__PURE__ */ jsx("span", { children: "Your device will ask you for your fingerprint, face, or screen lock to authorize this action." })
          ] }) }),
          primaryButton: /* @__PURE__ */ jsx(PrimaryButton, { appearance, onClick: state.primaryActionOnClick, children: "Use Wallet" })
        }
      );
    case "transaction-error":
      return /* @__PURE__ */ jsx(
        PasskeyPromptCore,
        {
          title: "Wallet Access Failed",
          appearance,
          content: /* @__PURE__ */ jsx("div", { children: "We couldn't access your wallet. This could be due to rejecting the request, a timeout, or not having access to your passkey on this device." }),
          primaryButton: /* @__PURE__ */ jsx(PrimaryButton, { appearance, onClick: state.primaryActionOnClick, children: "Try again" }),
          secondaryAction: /* @__PURE__ */ jsx(
            "a",
            {
              href: "https://docs.crossmint.com/wallets/smart-wallets/users/troubleshoot",
              rel: "noopener noreferrer",
              target: "_blank",
              style: {
                padding: "0.875rem",
                width: "100%",
                textAlign: "center",
                textDecoration: "none",
                borderRadius: "0.5rem",
                fontWeight: "bold",
                backgroundColor: ((_a = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _a.inputBackground) || "#F0F2F4",
                color: ((_b = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _b.textSecondary) || "#00150D"
              },
              children: "Troubleshoot"
            }
          )
        }
      );
    case "not-supported":
      return /* @__PURE__ */ jsx(
        PasskeyPromptCore,
        {
          title: "Passkeys Not Supported on This Device",
          appearance,
          content: /* @__PURE__ */ jsx("div", { children: "To access your wallet with a passkey, switch to a device or browser that supports passkeys, such as Chrome or Safari on a smartphone, tablet, or modern computer" }),
          primaryButton: /* @__PURE__ */ jsx(PrimaryButton, { appearance, onClick: state.primaryActionOnClick, children: "Understood" })
        }
      );
    default:
      return null;
  }
}
var PrimaryButton = ({
  appearance,
  onClick,
  children
}) => {
  var _a, _b;
  return /* @__PURE__ */ jsxs(
    "button",
    {
      className: classNames(
        "relative flex text-base p-4 bg-cm-muted-primary text-cm-text-primary items-center w-full rounded-xl justify-center",
        "transition-colors duration-200 ease-in-out",
        "hover:bg-cm-hover focus:bg-cm-hover outline-none"
      ),
      style: {
        borderRadius: appearance == null ? void 0 : appearance.borderRadius,
        backgroundColor: (_a = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _a.buttonBackground
      },
      onClick,
      children: [
        /* @__PURE__ */ jsx("span", { className: "font-medium", style: { margin: "0px 32px", color: (_b = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _b.textPrimary }, children }),
        /* @__PURE__ */ jsx("span", { className: "sr-only", children })
      ]
    }
  );
};

export {
  PasskeyPrompt
};
//# sourceMappingURL=chunk-5OGRPJ2L.js.map