import {
  classNames
} from "./chunk-RZPQIRIY.js";
import {
  __async
} from "./chunk-CRTRMMJ7.js";

// src/components/common/CountdownButton.tsx
import { useState, useEffect } from "react";
import { jsx } from "react/jsx-runtime";
function CountdownButton({
  initialSeconds,
  appearance,
  countdownText,
  countdownCompleteText,
  handleOnClick
}) {
  var _a, _b, _c, _d;
  const [seconds, setSeconds] = useState(initialSeconds);
  const [canResend, setCanResend] = useState(true);
  const [retryCount, setRetryCount] = useState(0);
  const [isLoading, setIsLoading] = useState(false);
  useEffect(() => {
    let timer;
    if (seconds > 0) {
      setCanResend(false);
      timer = setInterval(() => {
        setSeconds((prev) => {
          if (prev <= 1) {
            setCanResend(true);
            return 0;
          }
          return prev - 1;
        });
      }, 1e3);
    }
    return () => {
      if (timer != null) {
        clearInterval(timer);
      }
    };
  }, [seconds]);
  const startCountdown = () => {
    if (!canResend) {
      return;
    }
    const backoffDelay = Math.min(initialSeconds * Math.pow(2, retryCount), 240);
    setSeconds(backoffDelay);
    setRetryCount((prev) => prev + 1);
  };
  const handleClick = () => __async(this, null, function* () {
    if (canResend && seconds === 0 && !isLoading) {
      setIsLoading(true);
      yield handleOnClick();
      startCountdown();
      setIsLoading(false);
    }
  });
  return /* @__PURE__ */ jsx(
    "button",
    {
      onClick: handleClick,
      disabled: !canResend || isLoading,
      className: classNames(
        "text-sm leading-tight text-center mt-2 transition-opacity",
        canResend && !isLoading ? "cursor-pointer opacity-100" : "cursor-default opacity-50"
      ),
      style: {
        color: canResend ? (_b = (_a = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _a.textLink) != null ? _b : "#1A73E8" : (_d = (_c = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _c.textSecondary) != null ? _d : "#67797F"
      },
      children: canResend ? countdownCompleteText : countdownText(seconds)
    }
  );
}

export {
  CountdownButton
};
//# sourceMappingURL=chunk-6TFIQWYJ.js.map