import {
  classNames
} from "./chunk-RZPQIRIY.js";
import {
  __objRest,
  __spreadProps,
  __spreadValues
} from "./chunk-CRTRMMJ7.js";

// src/components/common/Dialog.tsx
import * as React from "react";
import * as DialogPrimitive from "@radix-ui/react-dialog";
import { jsx, jsxs } from "react/jsx-runtime";
var Dialog = DialogPrimitive.Root;
var DialogTrigger = DialogPrimitive.Trigger;
var DialogClose = DialogPrimitive.Close;
var DialogPortal = DialogPrimitive.Portal;
var DialogContent = React.forwardRef(
  (_a, ref) => {
    var _b = _a, { className, children, showCloseButton = true, closeButtonColor, closeButtonRingColor } = _b, props = __objRest(_b, ["className", "children", "showCloseButton", "closeButtonColor", "closeButtonRingColor"]);
    return /* @__PURE__ */ jsxs(DialogPortal, { children: [
      /* @__PURE__ */ jsx("div", { className: "fixed inset-0 z-40 bg-black/60 backdrop-blur-sm overflow-x-hidden" }),
      /* @__PURE__ */ jsxs(
        DialogPrimitive.Content,
        __spreadProps(__spreadValues({
          ref,
          className: classNames(
            "fixed z-50 p-6 pb-4 bg-cm-background-primary border border-cm-border shadow-xl transition-none",
            // Mobile viewport styles (bottom sheet) - updated with margins
            "inset-x-[9px] bottom-2 w-[calc(100%-18px)] border-t rounded-t-[36px] rounded-b-[50px]",
            "max-[479px]:data-[state=closed]:animate-slide-out-to-bottom max-[479px]:data-[state=open]:animate-slide-in-from-bottom",
            // Desktop viewport styles (centered modal)
            "min-[480px]:inset-auto min-[480px]:left-[50%] min-[480px]:top-[50%]",
            "min-[480px]:[transform:translate(-50%,-50%)]",
            "min-[480px]:max-w-[448px] min-[480px]:rounded-3xl !min-[480px]:p-10 !min-[480px]:pb-8",
            "min-[480px]:data-[state=closed]:animate-fade-out min-[480px]:data-[state=open]:animate-fade-in",
            className
          )
        }, props), {
          children: [
            children,
            showCloseButton && /* @__PURE__ */ jsxs(
              DialogPrimitive.Close,
              {
                className: classNames(
                  "absolute rounded-full opacity-70 ring-offset-background transition-opacity hover:opacity-100",
                  "focus:outline-none focus:ring-2 focus:ring-cm-accent focus:ring-offset-2 disabled:pointer-events-none data-[state=open]:bg-text-primary",
                  "right-5 top-5 !min-[480px]:right-7 !min-[480px]:top-7"
                ),
                style: { color: closeButtonColor != null ? closeButtonColor : "#67797F" },
                children: [
                  /* @__PURE__ */ jsxs(
                    "svg",
                    {
                      xmlns: "http://www.w3.org/2000/svg",
                      width: "24",
                      height: "24",
                      viewBox: "0 0 24 24",
                      fill: "none",
                      stroke: "currentColor",
                      strokeWidth: "2",
                      strokeLinecap: "round",
                      strokeLinejoin: "round",
                      className: "h-7 w-7",
                      children: [
                        /* @__PURE__ */ jsx("path", { d: "M18 6 6 18" }),
                        /* @__PURE__ */ jsx("path", { d: "m6 6 12 12" })
                      ]
                    }
                  ),
                  /* @__PURE__ */ jsx("span", { className: "sr-only", children: "Close" })
                ]
              }
            )
          ]
        })
      )
    ] });
  }
);
DialogContent.displayName = DialogPrimitive.Content.displayName;
var DialogHeader = (_a) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ jsx("div", __spreadValues({ className: classNames("flex flex-col space-y-1.5 text-center sm:text-left", className) }, props));
};
DialogHeader.displayName = "DialogHeader";
var DialogFooter = (_a) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ jsx(
    "div",
    __spreadValues({
      className: classNames("flex flex-col-reverse sm:flex-row sm:justify-end sm:space-x-2", className)
    }, props)
  );
};
DialogFooter.displayName = "DialogFooter";
var DialogTitle = React.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ jsx(
    DialogPrimitive.Title,
    __spreadValues({
      ref,
      className: classNames("text-lg font-semibold leading-none tracking-tight", className)
    }, props)
  );
});
DialogTitle.displayName = DialogPrimitive.Title.displayName;
var DialogDescription = React.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ jsx(
    DialogPrimitive.Description,
    __spreadValues({
      ref,
      className: classNames("text-sm text-muted-foreground", className)
    }, props)
  );
});
DialogDescription.displayName = DialogPrimitive.Description.displayName;

export {
  Dialog,
  DialogTrigger,
  DialogClose,
  DialogPortal,
  DialogContent,
  DialogHeader,
  DialogFooter,
  DialogTitle,
  DialogDescription
};
//# sourceMappingURL=chunk-72LSMHPL.js.map