import {
  __async
} from "./chunk-CRTRMMJ7.js";

// src/utils/dynamic/dynamicChainToCrossmintChain.ts
import { chainIdToBlockchain } from "@crossmint/common-sdk-base";
var ChainNotSupportedError = class extends Error {
  constructor(chainId) {
    super(`ChainId ${chainId} is not supported`);
    this.chainId = chainId;
  }
};
function dynamicChainToCrossmintChain(wallet) {
  return __async(this, null, function* () {
    var _a;
    const chain = wallet.chain;
    if (chain === "SOL") {
      return "solana";
    }
    if (chain === "SUI") {
      return "sui";
    }
    const chainId = yield (_a = wallet.connector) == null ? void 0 : _a.getNetwork();
    if (typeof chainId !== "number") {
      throw new Error("chainId is not a number");
    }
    const chainFromChainId = chainIdToBlockchain(chainId);
    if (!chainFromChainId) {
      throw new ChainNotSupportedError(chainId);
    }
    return chainFromChainId;
  });
}

export {
  ChainNotSupportedError,
  dynamicChainToCrossmintChain
};
//# sourceMappingURL=chunk-7HENIDX5.js.map