"use strict";Object.defineProperty(exports, "__esModule", {value: true});



var _chunk4DAZAO6Ycjs = require('./chunk-4DAZAO6Y.cjs');

// src/hooks/useDynamicConnect.ts
var _ethereum = require('@dynamic-labs/ethereum');
var _sdkreactcore = require('@dynamic-labs/sdk-react-core');
var _solana = require('@dynamic-labs/solana');
var _react = require('react');
function useDynamicConnect(isWeb3Enabled, setIsDynamicSdkLoaded, accessToken) {
  const {
    primaryWallet: connectedDynamicWallet,
    sdkHasLoaded,
    removeWallet,
    handleUnlinkWallet
  } = _sdkreactcore.useDynamicContext.call(void 0, );
  const dynamicSdkHasLoaded = !isWeb3Enabled || sdkHasLoaded;
  _react.useEffect.call(void 0, () => {
    if (isWeb3Enabled) {
      setIsDynamicSdkLoaded(dynamicSdkHasLoaded);
    }
  }, [dynamicSdkHasLoaded, isWeb3Enabled]);
  const getAdminSigner = () => _chunk4DAZAO6Ycjs.__async.call(void 0, this, null, function* () {
    if (!connectedDynamicWallet) {
      return null;
    }
    try {
      if (_ethereum.isEthereumWallet.call(void 0, connectedDynamicWallet)) {
        const dynamicClient = yield connectedDynamicWallet.getWalletClient();
        return _chunk4DAZAO6Ycjs.__spreadProps.call(void 0, _chunk4DAZAO6Ycjs.__spreadValues.call(void 0, {}, dynamicClient), {
          address: dynamicClient.account.address,
          signer: {
            type: "viem_v2",
            account: _chunk4DAZAO6Ycjs.__spreadProps.call(void 0, _chunk4DAZAO6Ycjs.__spreadValues.call(void 0, {}, dynamicClient.account), {
              signMessage: (data) => _chunk4DAZAO6Ycjs.__async.call(void 0, this, null, function* () {
                return yield dynamicClient.signMessage({
                  message: data.message
                });
              })
            })
          },
          type: "evm-keypair"
        });
      }
      if (_solana.isSolanaWallet.call(void 0, connectedDynamicWallet)) {
        const signer = yield connectedDynamicWallet.getSigner();
        return _chunk4DAZAO6Ycjs.__spreadProps.call(void 0, _chunk4DAZAO6Ycjs.__spreadValues.call(void 0, {}, signer), {
          address: connectedDynamicWallet.address,
          signer: _chunk4DAZAO6Ycjs.__spreadValues.call(void 0, {}, signer),
          type: "solana-keypair"
        });
      }
      return null;
    } catch (error) {
      console.error("Failed to get admin signer", error);
      return null;
    }
  });
  const cleanup = _react.useCallback.call(void 0, () => {
    if (!accessToken && connectedDynamicWallet) {
      removeWallet(connectedDynamicWallet.id);
      handleUnlinkWallet(connectedDynamicWallet.id);
    }
  }, [accessToken, connectedDynamicWallet, removeWallet, handleUnlinkWallet]);
  return {
    sdkHasLoaded: dynamicSdkHasLoaded,
    getAdminSigner,
    cleanup,
    isDynamicWalletConnected: !!connectedDynamicWallet
  };
}



exports.useDynamicConnect = useDynamicConnect;
//# sourceMappingURL=chunk-C3MY2FND.cjs.map