"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _chunkB7LYPQ4Kcjs = require('./chunk-B7LYPQ4K.cjs');


var _chunk5RX5WFEWcjs = require('./chunk-5RX5WFEW.cjs');


var _chunkZMSST6ZZcjs = require('./chunk-ZMSST6ZZ.cjs');


var _chunk4DAZAO6Ycjs = require('./chunk-4DAZAO6Y.cjs');

// src/components/signers/EmailInput.tsx
var _react = require('react');
var _color = require('color'); var _color2 = _interopRequireDefault(_color);
var _commonsdkauth = require('@crossmint/common-sdk-auth');
var _jsxruntime = require('react/jsx-runtime');
function EmailInput({ email, setEmail, onSubmitEmail, appearance }) {
  var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n;
  const [emailError, setEmailError] = _react.useState.call(void 0, "");
  const [isLoading, setIsLoading] = _react.useState.call(void 0, false);
  const handleOnSubmit = (e) => _chunk4DAZAO6Ycjs.__async.call(void 0, this, null, function* () {
    e.preventDefault();
    if (!_commonsdkauth.isEmailValid.call(void 0, email)) {
      return;
    }
    setIsLoading(true);
    try {
      yield onSubmitEmail(email);
    } catch (error) {
      console.error("Error submitting email:", error);
      setEmailError("Failed to submit email. Please try again.");
    } finally {
      setIsLoading(false);
    }
  });
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _jsxruntime.Fragment, { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "flex flex-col items-start justify-start w-full rounded-lg", children: /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "w-full", children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
      "label",
      {
        className: "text-cm-text-primary block mb-[5px]",
        style: { color: (_a = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _a.textPrimary },
        children: "Email"
      }
    ),
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
      "form",
      {
        role: "form",
        className: "relative",
        onSubmit: handleOnSubmit,
        noValidate: true,
        children: [
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "label", { htmlFor: "emailInput", className: "sr-only", children: "Email" }),
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
            "input",
            {
              className: _chunk5RX5WFEWcjs.classNames.call(void 0, 
                "flex-grow text-cm-text-primary text-left pl-[16px] h-[58px] w-full border border-cm-border rounded-xl bg-cm-background-primary placeholder:text-md",
                "transition-none duration-200 ease-in-out",
                "focus:outline-none focus-ring-custom",
                // Add focus ring
                "placeholder:[color:var(--placeholder-color)]",
                emailError ? "border-red-500" : ""
              ),
              style: {
                color: (_b = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _b.textPrimary,
                borderRadius: appearance == null ? void 0 : appearance.borderRadius,
                borderColor: emailError ? (_c = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _c.danger : (_d = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _d.border,
                backgroundColor: (_e = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _e.inputBackground,
                // @ts-expect-error Add custom placeholder & ring color to tailwind
                "--placeholder-color": (_g = (_f = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _f.textSecondary) != null ? _g : "#67797F",
                "--focus-ring-color": new (0, _color2.default)((_i = (_h = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _h.accent) != null ? _i : "#04AA6D").alpha(0.18).toString()
              },
              type: "email",
              placeholder: "your@email.com",
              value: email,
              onChange: (e) => {
                setEmail(e.target.value);
                setEmailError("");
              },
              readOnly: isLoading,
              "aria-describedby": "emailError"
            }
          ),
          /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "absolute inset-y-0 right-0 flex items-center pr-4", children: [
            emailError && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _chunkZMSST6ZZcjs.AlertIcon, { customColor: (_j = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _j.danger }),
            isLoading ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
              _chunkB7LYPQ4Kcjs.Spinner,
              {
                style: {
                  color: (_k = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _k.textSecondary,
                  fill: (_l = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _l.textPrimary
                }
              }
            ) : /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
              "button",
              {
                type: "submit",
                className: _chunk5RX5WFEWcjs.classNames.call(void 0, 
                  "font-medium text-cm-accent text-nowrap bg-cm-background-primary",
                  !_commonsdkauth.isEmailValid.call(void 0, email) ? "!cursor-not-allowed opacity-60" : "cursor-pointer"
                ),
                style: {
                  color: (_m = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _m.accent,
                  backgroundColor: (_n = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _n.inputBackground
                },
                disabled: !_commonsdkauth.isEmailValid.call(void 0, email) || isLoading,
                children: "Submit"
              }
            )
          ] })
        ]
      }
    ),
    emailError && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "p", { className: "text-xs text-red-500 mb-2 pt-2", children: emailError })
  ] }) }) });
}



exports.EmailInput = EmailInput;
//# sourceMappingURL=chunk-DF5JCCWO.cjs.map