// src/hooks/useDeepEffect.ts
import isEqual from "lodash.isequal";
import { useEffect, useRef } from "react";
function useDeepEffect(callback, dependencies) {
  const dependenciesRef = useRef(dependencies);
  useEffect(() => {
    const hasChanged = dependencies.some((dep, i) => !isEqual(dep, dependenciesRef.current[i]));
    if (hasChanged) {
      dependenciesRef.current = dependencies;
      return callback();
    }
  }, [dependencies]);
}

export {
  useDeepEffect
};
//# sourceMappingURL=chunk-EOWJ7775.js.map