import {
  __spreadValues
} from "./chunk-CRTRMMJ7.js";

// src/components/dynamic-xyz/DynamicContextProviderWrapper.tsx
import { DynamicContextProvider, mergeNetworks } from "@dynamic-labs/sdk-react-core";
import { jsx } from "react/jsx-runtime";
function DynamicContextProviderWrapper({
  children,
  settings,
  apiKeyEnvironment
}) {
  return /* @__PURE__ */ jsx(
    DynamicContextProvider,
    {
      settings: __spreadValues(__spreadValues({
        initialAuthenticationMode: "connect-only",
        environmentId: apiKeyEnvironment === "production" ? "3fc6c24e-6a8e-45f8-aae1-a87d7a027e12" : "cd53135a-b32b-4704-bfca-324b665e9329",
        cssOverrides: `.powered-by-dynamic { display: none !important; }`
      }, apiKeyEnvironment === "production" ? {
        overrides: {
          evmNetworks: (defaultNetworks) => mergeNetworks(additionalEvmMainnetNetworks, defaultNetworks)
        }
      } : {}), settings),
      children
    }
  );
}
var additionalEvmMainnetNetworks = [
  {
    blockExplorerUrls: ["ttps://explorer-proofofplay-boss-mainnet.t.conduit.xyz/"],
    chainId: 70701,
    chainName: "Boss Mainnet",
    iconUrls: ["https:/www.crossmint.com/assets/ui/logos/apex.svg"],
    name: "Boss",
    nativeCurrency: {
      decimals: 18,
      name: "Ether",
      symbol: "ETH",
      iconUrl: "https://app.dynamic.xyz/assets/networks/eth.svg"
    },
    networkId: 70701,
    rpcUrls: ["https://rpc.boss.proofofplay.com/"],
    vanityName: "Boss"
  }
];

export {
  DynamicContextProviderWrapper
};
//# sourceMappingURL=chunk-F2AWZC4M.js.map