import {
  CountdownButton
} from "./chunk-6TFIQWYJ.js";
import {
  InputOTP,
  InputOTPGroup,
  InputOTPSlot
} from "./chunk-33WZFL2D.js";
import {
  LeftArrowIcon
} from "./chunk-ZDQGQY7Z.js";
import {
  EmailOtpIcon
} from "./chunk-I63FQCIV.js";
import {
  __async
} from "./chunk-CRTRMMJ7.js";

// src/components/signers/EmailOTPInput.tsx
import { useState } from "react";
import { jsx, jsxs } from "react/jsx-runtime";
function EmailOTPInput({ email, onSubmitOTP, handleOnBack, onResendCode, appearance }) {
  var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s;
  const [token, setToken] = useState("");
  const [hasError, setHasError] = useState(false);
  const [loading, setLoading] = useState(false);
  const [error, setError] = useState(null);
  const handleOnSubmitOTP = () => __async(this, null, function* () {
    setLoading(true);
    try {
      yield onSubmitOTP(token);
      setHasError(false);
      setError(null);
    } catch (error2) {
      console.error("Error confirming recovery key OTP", error2);
      setError("Invalid code. Please try again.");
      setHasError(true);
    } finally {
      setLoading(false);
    }
  });
  return /* @__PURE__ */ jsxs("div", { children: [
    /* @__PURE__ */ jsx(
      "button",
      {
        className: "absolute left-4 top-4 min-[480px]:!left-6 min-[480px]:!top-6 rounded-full opacity-70 ring-offset-background text-cm-text-primary transition-opacity hover:opacity-100 focus:outline-none focus:ring-2 focus:ring-cm-accent focus:ring-offset-2 disabled:pointer-events-none",
        onClick: () => {
          setError(null);
          handleOnBack();
          setToken("");
        },
        children: /* @__PURE__ */ jsx(LeftArrowIcon, { className: "w-6 h-6", style: { color: (_a = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _a.textPrimary } })
      }
    ),
    /* @__PURE__ */ jsxs("div", { className: "flex flex-col items-center justify-start w-full", children: [
      /* @__PURE__ */ jsx("div", { className: "relative left-3", children: /* @__PURE__ */ jsx(
        EmailOtpIcon,
        {
          customAccentColor: (_b = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _b.accent,
          customButtonBackgroundColor: (_c = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _c.buttonBackground,
          customBackgroundColor: (_d = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _d.background
        }
      ) }),
      /* @__PURE__ */ jsx(
        "p",
        {
          className: "text-base font-normal mt-4 mb-1 text-center text-cm-text-primary",
          style: { color: (_e = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _e.textPrimary },
          children: "Verify Recovery Key Creation"
        }
      ),
      /* @__PURE__ */ jsxs(
        "p",
        {
          className: "text-center text-cm-text-secondary px-4",
          style: { color: (_f = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _f.textSecondary },
          children: [
            "A verification code has been sent to ",
            email ? email : "your email address"
          ]
        }
      ),
      /* @__PURE__ */ jsx("div", { className: "py-8", children: /* @__PURE__ */ jsx(
        InputOTP,
        {
          maxLength: 6,
          value: token,
          onChange: (val) => {
            setToken(val);
            setHasError(false);
            setError(null);
          },
          onComplete: handleOnSubmitOTP,
          disabled: loading,
          customStyles: {
            accent: (_h = (_g = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _g.accent) != null ? _h : "#04AA6D",
            danger: (_j = (_i = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _i.danger) != null ? _j : "#f44336",
            border: (_l = (_k = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _k.border) != null ? _l : "#E5E7EB",
            textPrimary: (_n = (_m = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _m.textPrimary) != null ? _n : "#909ca3",
            buttonBackground: (_p = (_o = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _o.buttonBackground) != null ? _p : "#eff6ff",
            inputBackground: (_r = (_q = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _q.inputBackground) != null ? _r : "#FFFFFF",
            borderRadius: appearance == null ? void 0 : appearance.borderRadius
          },
          children: /* @__PURE__ */ jsxs(InputOTPGroup, { children: [
            /* @__PURE__ */ jsx(InputOTPSlot, { index: 0, hasError }),
            /* @__PURE__ */ jsx(InputOTPSlot, { index: 1, hasError }),
            /* @__PURE__ */ jsx(InputOTPSlot, { index: 2, hasError }),
            /* @__PURE__ */ jsx(InputOTPSlot, { index: 3, hasError }),
            /* @__PURE__ */ jsx(InputOTPSlot, { index: 4, hasError }),
            /* @__PURE__ */ jsx(InputOTPSlot, { index: 5, hasError })
          ] })
        }
      ) }),
      error && /* @__PURE__ */ jsx("div", { className: "text-sm text-red-500 mb-4", children: error }),
      /* @__PURE__ */ jsx("div", { className: "text-xs leading-tight text-cm-text-secondary text-center", children: /* @__PURE__ */ jsxs("span", { style: { color: (_s = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _s.textSecondary }, children: [
        "Can't find the email? Check spam folder.",
        "\n",
        "Some emails may take several minutes to arrive."
      ] }) }),
      onResendCode && /* @__PURE__ */ jsx(
        CountdownButton,
        {
          initialSeconds: 60,
          appearance,
          countdownText: (seconds) => `Re-send code in ${seconds}s`,
          countdownCompleteText: "Re-send code",
          handleOnClick: onResendCode
        }
      )
    ] })
  ] });
}

export {
  EmailOTPInput
};
//# sourceMappingURL=chunk-IUCMANQB.js.map