import {
  createCrossmintApiClient
} from "./chunk-F3AMLCQL.js";
import {
  useCrossmint
} from "./chunk-3J6CUUWT.js";

// src/hooks/useCrossmintCheckout.tsx
import { createContext, useContext, useEffect, useState } from "react";
import { jsx } from "react/jsx-runtime";
var CrossmintCheckoutContext = createContext(void 0);
function CrossmintCheckoutProvider({ children }) {
  const [order, setOrder] = useState(void 0);
  const [orderClientSecret, setOrderClientSecret] = useState(void 0);
  const { crossmint } = useCrossmint();
  const apiClient = createCrossmintApiClient(crossmint, {
    usageOrigin: "client"
  });
  useEffect(() => {
    const listener = (event) => {
      if (event.origin !== new URL(apiClient.baseUrl).origin) {
        return;
      }
      if (event.data.event !== "order:updated") {
        return;
      }
      const { order: order2, orderClientSecret: orderClientSecret2 } = event.data.data;
      setOrder(order2);
      setOrderClientSecret(orderClientSecret2);
    };
    window.addEventListener("message", listener);
    return () => {
      window.removeEventListener("message", listener);
    };
  }, [order]);
  return /* @__PURE__ */ jsx(CrossmintCheckoutContext.Provider, { value: { order, orderClientSecret }, children });
}
function useCrossmintCheckout() {
  const context = useContext(CrossmintCheckoutContext);
  if (!context) {
    throw new Error("useCrossmintCheckout must be used within a CrossmintCheckoutProvider");
  }
  return context;
}

export {
  CrossmintCheckoutProvider,
  useCrossmintCheckout
};
//# sourceMappingURL=chunk-JBCO6SN6.js.map