"use strict";Object.defineProperty(exports, "__esModule", {value: true});// src/hooks/useCrossmint.tsx
var _react = require('react');
var _commonsdkbase = require('@crossmint/common-sdk-base');
var _jsxruntime = require('react/jsx-runtime');
var CrossmintContext = _react.createContext.call(void 0, null);
function CrossmintProvider({
  children,
  apiKey,
  overrideBaseUrl
}) {
  const [version, setVersion] = _react.useState.call(void 0, 0);
  const crossmintRef = _react.useRef.call(void 0, 
    new Proxy(_commonsdkbase.createCrossmint.call(void 0, { apiKey, overrideBaseUrl }), {
      set(target, prop, value2) {
        if (prop === "jwt" && target.jwt !== value2) {
          setVersion((v) => v + 1);
        }
        return Reflect.set(target, prop, value2);
      }
    })
  );
  const setJwt = _react.useCallback.call(void 0, (jwt) => {
    if (jwt !== crossmintRef.current.jwt) {
      crossmintRef.current.jwt = jwt;
    }
  }, []);
  const value = _react.useMemo.call(void 0, 
    () => ({
      get crossmint() {
        return crossmintRef.current;
      },
      setJwt
    }),
    [setJwt, version]
  );
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, CrossmintContext.Provider, { value, children });
}
function useCrossmint(missingContextMessage) {
  const context = _react.useContext.call(void 0, CrossmintContext);
  if (context == null) {
    throw new Error(missingContextMessage != null ? missingContextMessage : "useCrossmint must be used within a CrossmintProvider");
  }
  return context;
}




exports.CrossmintProvider = CrossmintProvider; exports.useCrossmint = useCrossmint;
//# sourceMappingURL=chunk-KEKBOJCF.cjs.map