import {
  Spinner
} from "./chunk-QTL5I5C2.js";
import {
  classNames
} from "./chunk-RZPQIRIY.js";
import {
  AlertIcon
} from "./chunk-7KIY6DLW.js";
import {
  __async
} from "./chunk-CRTRMMJ7.js";

// src/components/signers/EmailInput.tsx
import { useState } from "react";
import Color from "color";
import { isEmailValid } from "@crossmint/common-sdk-auth";
import { Fragment, jsx, jsxs } from "react/jsx-runtime";
function EmailInput({ email, setEmail, onSubmitEmail, appearance }) {
  var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n;
  const [emailError, setEmailError] = useState("");
  const [isLoading, setIsLoading] = useState(false);
  const handleOnSubmit = (e) => __async(this, null, function* () {
    e.preventDefault();
    if (!isEmailValid(email)) {
      return;
    }
    setIsLoading(true);
    try {
      yield onSubmitEmail(email);
    } catch (error) {
      console.error("Error submitting email:", error);
      setEmailError("Failed to submit email. Please try again.");
    } finally {
      setIsLoading(false);
    }
  });
  return /* @__PURE__ */ jsx(Fragment, { children: /* @__PURE__ */ jsx("div", { className: "flex flex-col items-start justify-start w-full rounded-lg", children: /* @__PURE__ */ jsxs("div", { className: "w-full", children: [
    /* @__PURE__ */ jsx(
      "label",
      {
        className: "text-cm-text-primary block mb-[5px]",
        style: { color: (_a = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _a.textPrimary },
        children: "Email"
      }
    ),
    /* @__PURE__ */ jsxs(
      "form",
      {
        role: "form",
        className: "relative",
        onSubmit: handleOnSubmit,
        noValidate: true,
        children: [
          /* @__PURE__ */ jsx("label", { htmlFor: "emailInput", className: "sr-only", children: "Email" }),
          /* @__PURE__ */ jsx(
            "input",
            {
              className: classNames(
                "flex-grow text-cm-text-primary text-left pl-[16px] h-[58px] w-full border border-cm-border rounded-xl bg-cm-background-primary placeholder:text-md",
                "transition-none duration-200 ease-in-out",
                "focus:outline-none focus-ring-custom",
                // Add focus ring
                "placeholder:[color:var(--placeholder-color)]",
                emailError ? "border-red-500" : ""
              ),
              style: {
                color: (_b = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _b.textPrimary,
                borderRadius: appearance == null ? void 0 : appearance.borderRadius,
                borderColor: emailError ? (_c = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _c.danger : (_d = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _d.border,
                backgroundColor: (_e = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _e.inputBackground,
                // @ts-expect-error Add custom placeholder & ring color to tailwind
                "--placeholder-color": (_g = (_f = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _f.textSecondary) != null ? _g : "#67797F",
                "--focus-ring-color": new Color((_i = (_h = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _h.accent) != null ? _i : "#04AA6D").alpha(0.18).toString()
              },
              type: "email",
              placeholder: "your@email.com",
              value: email,
              onChange: (e) => {
                setEmail(e.target.value);
                setEmailError("");
              },
              readOnly: isLoading,
              "aria-describedby": "emailError"
            }
          ),
          /* @__PURE__ */ jsxs("div", { className: "absolute inset-y-0 right-0 flex items-center pr-4", children: [
            emailError && /* @__PURE__ */ jsx(AlertIcon, { customColor: (_j = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _j.danger }),
            isLoading ? /* @__PURE__ */ jsx(
              Spinner,
              {
                style: {
                  color: (_k = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _k.textSecondary,
                  fill: (_l = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _l.textPrimary
                }
              }
            ) : /* @__PURE__ */ jsx(
              "button",
              {
                type: "submit",
                className: classNames(
                  "font-medium text-cm-accent text-nowrap bg-cm-background-primary",
                  !isEmailValid(email) ? "!cursor-not-allowed opacity-60" : "cursor-pointer"
                ),
                style: {
                  color: (_m = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _m.accent,
                  backgroundColor: (_n = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _n.inputBackground
                },
                disabled: !isEmailValid(email) || isLoading,
                children: "Submit"
              }
            )
          ] })
        ]
      }
    ),
    emailError && /* @__PURE__ */ jsx("p", { className: "text-xs text-red-500 mb-2 pt-2", children: emailError })
  ] }) }) });
}

export {
  EmailInput
};
//# sourceMappingURL=chunk-PIBLEOBQ.js.map