import {
  CrossmintLogoV2
} from "./chunk-KPQDVXHK.js";
import {
  createCrossmintApiClient
} from "./chunk-F3AMLCQL.js";
import {
  useCrossmint
} from "./chunk-3J6CUUWT.js";
import {
  __objRest,
  __spreadProps,
  __spreadValues
} from "./chunk-CRTRMMJ7.js";

// src/components/hosted/v3/CrossmintHostedCheckoutV3.tsx
import {
  crossmintHostedCheckoutV3Service,
  crossmintHostedCheckoutV3StylesService
} from "@crossmint/client-sdk-base";
import clsx from "clsx";
import { useEffect, useState } from "react";
import { jsx, jsxs } from "react/jsx-runtime";
function CrossmintHostedCheckout(props) {
  const [didInjectCss, setDidInjectCss] = useState(false);
  const { crossmint } = useCrossmint();
  const apiClient = createCrossmintApiClient(crossmint);
  const _a = props, { recipient, locale, lineItems, payment, appearance } = _a, buttonProps = __objRest(_a, ["recipient", "locale", "lineItems", "payment", "appearance"]);
  const customProps = {
    recipient,
    locale,
    lineItems,
    payment,
    appearance
  };
  const hostedCheckoutService = crossmintHostedCheckoutV3Service({ apiClient, hostedCheckoutProps: customProps });
  const stylesService = crossmintHostedCheckoutV3StylesService(customProps);
  const _b = buttonProps, { onClick, className, children } = _b, restButtonProps = __objRest(_b, ["onClick", "className", "children"]);
  function _onClick(e) {
    e.preventDefault();
    e.stopPropagation();
    hostedCheckoutService.createWindow();
    if (onClick) {
      onClick(e);
    }
  }
  const css = stylesService.generateCss();
  useEffect(() => {
    const { cleanup } = stylesService.injectCss(css);
    setDidInjectCss(true);
    return cleanup;
  }, [css]);
  if (!didInjectCss) {
    return null;
  }
  return /* @__PURE__ */ jsxs(
    "button",
    __spreadProps(__spreadValues({
      onClick: _onClick,
      className: clsx(stylesService.identifiers.buttonClassNames, className)
    }, restButtonProps), {
      children: [
        /* @__PURE__ */ jsx(
          CrossmintLogoV2,
          {
            style: { marginRight: "12px", flex: "none" },
            displayType: "icon-only",
            id: stylesService.identifiers.logoId,
            height: 16,
            width: 16
          }
        ),
        children != null ? children : /* @__PURE__ */ jsx("p", { style: { margin: 0 }, children: stylesService.getButtonText() })
      ]
    })
  );
}

export {
  CrossmintHostedCheckout
};
//# sourceMappingURL=chunk-QBYRMPKN.js.map