import {
  __async
} from "./chunk-CRTRMMJ7.js";

// src/hooks/useSignerInvisibleIFrame.ts
import { useEffect, useRef } from "react";
import { IFrameWindow } from "@crossmint/client-sdk-window";
import { signerInboundEvents, signerOutboundEvents } from "@crossmint/client-signers";
function createInvisibleIFrame(url) {
  return __async(this, null, function* () {
    const iframe = document.createElement("iframe");
    iframe.src = url;
    iframe.style.position = "absolute";
    iframe.style.opacity = "0";
    iframe.style.pointerEvents = "none";
    iframe.style.width = "0";
    iframe.style.height = "0";
    iframe.style.border = "none";
    iframe.style.top = "-9999px";
    iframe.style.left = "-9999px";
    return new Promise((resolve, reject) => {
      iframe.onload = () => resolve(iframe);
      iframe.onerror = () => reject("Failed to load iframe content");
      document.body.appendChild(iframe);
    });
  });
}
function useSignerIFrameWindow() {
  const iframeWindow = useRef(null);
  useEffect(() => {
    const initIFrameWindow = () => __async(this, null, function* () {
      try {
        const iframeUrl = new URL("https://crossmint-signer-frames.onrender.com/");
        const iframeElement = yield createInvisibleIFrame(iframeUrl.toString());
        iframeWindow.current = yield IFrameWindow.init(iframeElement, {
          targetOrigin: iframeUrl.origin,
          incomingEvents: signerOutboundEvents,
          outgoingEvents: signerInboundEvents
        });
        yield iframeWindow.current.handshakeWithChild();
      } catch (err) {
        console.error("Failed to initialize or connect to iframe:", err);
      }
    });
    initIFrameWindow();
    return () => {
      if (iframeWindow.current) {
      }
    };
  }, []);
  return iframeWindow;
}

export {
  useSignerIFrameWindow
};
//# sourceMappingURL=chunk-RB34BJZ6.js.map