"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }// src/hooks/useDeepEffect.ts
var _lodashisequal = require('lodash.isequal'); var _lodashisequal2 = _interopRequireDefault(_lodashisequal);
var _react = require('react');
function useDeepEffect(callback, dependencies) {
  const dependenciesRef = _react.useRef.call(void 0, dependencies);
  _react.useEffect.call(void 0, () => {
    const hasChanged = dependencies.some((dep, i) => !_lodashisequal2.default.call(void 0, dep, dependenciesRef.current[i]));
    if (hasChanged) {
      dependenciesRef.current = dependencies;
      return callback();
    }
  }, [dependencies]);
}



exports.useDeepEffect = useDeepEffect;
//# sourceMappingURL=chunk-SBA6FMFT.cjs.map