import {
  __async
} from "./chunk-CRTRMMJ7.js";

// src/components/embed/v3/crypto/PayerConnectionHandler.tsx
import { useEffect } from "react";
function PayerConnectionHandler({
  payer,
  iframeClient
}) {
  useEffect(() => {
    if (iframeClient == null) {
      return;
    }
    const signTransactionListener = iframeClient.on(
      "crypto:send-transaction",
      (_0) => __async(this, [_0], function* ({ chain, serializedTransaction }) {
        try {
          yield payer.handleChainSwitch(chain);
          const tx = yield payer.handleSignAndSendTransaction(serializedTransaction);
          const txId = tx.success ? tx.txId : "";
          if (tx.success) {
            iframeClient.send("crypto:send-transaction:success", { txId });
          } else {
            iframeClient.send("crypto:send-transaction:failed", { error: tx.errorMessage });
          }
        } catch (error) {
          console.error("[SignerConnectionHandler] Failed to send transaction", error);
          iframeClient.send("crypto:send-transaction:failed", {
            error: error.message || "An unknown error occurred"
          });
        }
      })
    );
    return () => {
      iframeClient.off(signTransactionListener);
    };
  }, [iframeClient]);
  return null;
}

export {
  PayerConnectionHandler
};
//# sourceMappingURL=chunk-WVM3I3I3.js.map