"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { newObj[key] = obj[key]; } } } newObj.default = obj; return newObj; } } function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _chunk35RV5AOTcjs = require('./chunk-35RV5AOT.cjs');


var _chunkSBA6FMFTcjs = require('./chunk-SBA6FMFT.cjs');



var _chunk4DAZAO6Ycjs = require('./chunk-4DAZAO6Y.cjs');

// src/components/embed/crypto/CryptoEmbeddedCheckoutIFrame.tsx
var _bs58 = require('bs58'); var _bs582 = _interopRequireDefault(_bs58);





var _clientsdkbase = require('@crossmint/client-sdk-base');
var _jsxruntime = require('react/jsx-runtime');
function CryptoEmbeddedCheckoutIFrame(props) {
  const { emitInternalEvent } = _clientsdkbase.crossmintIFrameService.call(void 0, props);
  const { signer, paymentMethod } = props;
  function onInternalEvent(event) {
    const { type, payload } = event;
    if (type === _clientsdkbase.IncomingInternalEvents.CRYPTO_PAYMENT_INCOMING_TRANSACTION) {
      const { serializedTransaction } = payload;
      console.log("[Crossmint] Received incoming transaction", serializedTransaction);
      handleIncomingTransaction(serializedTransaction);
    }
    if (type === _clientsdkbase.IncomingInternalEvents.CRYPTO_CHAIN_SWITCH) {
      const { chain } = payload;
      console.log("[Crossmint] Received change of chain", chain);
      const handleChainSwitch = signer.handleChainSwitch;
      if (handleChainSwitch == null) {
        throw new Error("switchNetwork function should have been defined");
      }
      handleChainSwitch(chain);
    }
  }
  function handleIncomingTransaction(serializedTransaction) {
    return _chunk4DAZAO6Ycjs.__async.call(void 0, this, null, function* () {
      try {
        let txId;
        switch (paymentMethod) {
          case "SOL":
            txId = yield handleSOLTransaction(signer, serializedTransaction);
            break;
          case "ETH":
            txId = yield handleETHTransaction(signer, serializedTransaction);
            break;
          default:
            throw new Error(`Unsupported payment method ${paymentMethod}`);
        }
        console.log("[Crossmint] Signed and sent transaction", txId);
        emitInternalEvent({
          type: _clientsdkbase.OutgoingInternalEvents.CRYPTO_PAYMENT_USER_ACCEPTED,
          payload: {
            txId
          }
        });
      } catch (e) {
        console.error("[Crossmint] Failed to sign and send transaction", e);
        emitInternalEvent({
          type: _clientsdkbase.OutgoingInternalEvents.CRYPTO_PAYMENT_USER_REJECTED,
          payload: {}
        });
      }
    });
  }
  function handleSOLTransaction(signer2, serializedTransaction) {
    return _chunk4DAZAO6Ycjs.__async.call(void 0, this, null, function* () {
      const { Transaction } = yield Promise.resolve().then(() => _interopRequireWildcard(require("@solana/web3.js")));
      const transaction = Transaction.from(_bs582.default.decode(serializedTransaction));
      console.log("[Crossmint] Deserialized SOL transaction", transaction);
      return yield signer2.signAndSendTransaction(transaction);
    });
  }
  function handleETHTransaction(signer2, serializedTransaction) {
    return _chunk4DAZAO6Ycjs.__async.call(void 0, this, null, function* () {
      const { parse: parseTransaction } = yield Promise.resolve().then(() => _interopRequireWildcard(require("@ethersproject/transactions")));
      const transaction = parseTransaction(serializedTransaction);
      console.log("[Crossmint] Deserialized ETH transaction", transaction);
      return yield signer2.signAndSendTransaction(transaction);
    });
  }
  _chunkSBA6FMFTcjs.useDeepEffect.call(void 0, () => {
    emitInternalEvent({
      type: "params-update",
      payload: _clientsdkbase.embeddedCheckoutPropsToUpdatableParamsPayload.call(void 0, props)
    });
  }, [
    props.signer.address,
    props.recipient,
    props.mintConfig,
    props.locale,
    props.currency,
    props.whPassThroughArgs,
    ..."chain" in props.signer ? [props.signer.chain] : []
  ]);
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _chunk35RV5AOTcjs.CrossmintEmbeddedCheckoutIFrame, _chunk4DAZAO6Ycjs.__spreadValues.call(void 0, { onInternalEvent }, props));
}



exports.CryptoEmbeddedCheckoutIFrame = CryptoEmbeddedCheckoutIFrame;
//# sourceMappingURL=chunk-XDJ6F7N4.cjs.map