import {
  CROSSMINT_LOGO_DEFAULTS
} from "../../../chunk-IDJ7FOHB.js";
import "../../../chunk-CRTRMMJ7.js";

// src/components/common/CrossmintLogoV2/schemas.ts
import { z } from "zod";
var iconGradientColorSchema = z.object({
  type: z.literal("gradient"),
  from: z.string(),
  to: z.string()
});
var iconSolidColorSchema = z.object({
  type: z.literal("solid"),
  color: z.string()
});
var iconColorSchema = z.discriminatedUnion("type", [iconGradientColorSchema, iconSolidColorSchema]);
var crossmintLogoColorsSchema = z.object({
  icon: iconColorSchema.optional().default(CROSSMINT_LOGO_DEFAULTS.colors.icon),
  text: z.string().optional().default(CROSSMINT_LOGO_DEFAULTS.colors.text)
});
var crossmintLogoDisplayTypeSchema = z.enum(["icon-only", "icon-and-text"]).default(CROSSMINT_LOGO_DEFAULTS.displayType);
var crossmintLogoColorsAndDisplayTypeRawSchema = z.object({
  colors: crossmintLogoColorsSchema.optional().default(CROSSMINT_LOGO_DEFAULTS.colors),
  displayType: crossmintLogoDisplayTypeSchema.optional().default(CROSSMINT_LOGO_DEFAULTS.displayType)
});
var crossmintLogoColorsAndDisplayTypeSchema = crossmintLogoColorsAndDisplayTypeRawSchema.optional().default(CROSSMINT_LOGO_DEFAULTS);
export {
  crossmintLogoColorsAndDisplayTypeRawSchema,
  crossmintLogoColorsAndDisplayTypeSchema,
  crossmintLogoColorsSchema,
  crossmintLogoDisplayTypeSchema
};
//# sourceMappingURL=schemas.js.map