import * as React from 'react';
import { OTPInput } from 'input-otp';

type CustomStyles = {
    textPrimary: string;
    inputBackground: string;
    buttonBackground: string;
    accent: string;
    danger: string;
    border: string;
    borderRadius?: string;
};
type InputOTPProps = React.ComponentPropsWithoutRef<typeof OTPInput> & {
    customStyles?: CustomStyles;
};
type InputOTPRef = React.ElementRef<typeof OTPInput>;
declare const InputOTP: React.ForwardRefExoticComponent<InputOTPProps & React.RefAttributes<InputOTPRef>>;
declare const InputOTPGroup: React.ForwardRefExoticComponent<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
declare const InputOTPSlot: React.ForwardRefExoticComponent<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    index: number;
    hasError?: boolean;
} & React.RefAttributes<HTMLDivElement>>;

export { InputOTP, InputOTPGroup, InputOTPSlot };
