"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunk4DAZAO6Ycjs = require('../../../../../chunk-4DAZAO6Y.cjs');

// src/components/embed/v3/crypto/utils/handleEvmTransaction.ts


var _commonsdkbase = require('@crossmint/common-sdk-base');
var _ethereum = require('@dynamic-labs/ethereum');
var _viem = require('viem');
function handleEvmTransaction(_0) {
  return _chunk4DAZAO6Ycjs.__async.call(void 0, this, arguments, function* ({
    primaryWallet,
    chain,
    serializedTransaction,
    iframeClient
  }) {
    const { connector } = primaryWallet;
    const chainId = _commonsdkbase.blockchainToChainId.call(void 0, chain);
    try {
      yield connector.switchNetwork({ networkChainId: chainId });
    } catch (error) {
      console.error(`[CryptoWalletConnectionHandler] failed to switch network to ${chainId}`, error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: error.message
      });
      return;
    }
    let walletClient;
    try {
      if (!_ethereum.isEthereumWallet.call(void 0, primaryWallet)) {
        throw new Error("primaryWallet is not an ethereum wallet");
      }
      walletClient = yield primaryWallet.getWalletClient(String(chainId));
      if (!walletClient) {
        throw new Error(`primaryWallet.getWalletClient(${chainId}) returned undefined`);
      }
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to get wallet client", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: error.message
      });
      return;
    }
    let parsedTransaction;
    try {
      parsedTransaction = _viem.parseTransaction.call(void 0, serializedTransaction);
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to parse transaction", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: error.message
      });
      return;
    }
    try {
      const txId = yield walletClient.sendTransaction(parsedTransaction);
      console.log("[CryptoWalletConnectionHandler] txId", txId);
      iframeClient.send("crypto:send-transaction:success", {
        txId
      });
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to send transaction", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: error.message
      });
    }
  });
}


exports.handleEvmTransaction = handleEvmTransaction;
//# sourceMappingURL=handleEvmTransaction.cjs.map