"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _chunk4DAZAO6Ycjs = require('../../../../../chunk-4DAZAO6Y.cjs');

// src/components/embed/v3/crypto/utils/handleSolanaTransaction.ts
var _solana = require('@dynamic-labs/solana');
var _web3js = require('@solana/web3.js');
var _bs58 = require('bs58'); var _bs582 = _interopRequireDefault(_bs58);
function handleSolanaTransaction(_0) {
  return _chunk4DAZAO6Ycjs.__async.call(void 0, this, arguments, function* ({
    primaryWallet,
    serializedTransaction,
    iframeClient
  }) {
    let signer;
    try {
      if (!_solana.isSolanaWallet.call(void 0, primaryWallet)) {
        throw new Error("primaryWallet is not a Solana wallet");
      }
      signer = yield primaryWallet.getSigner();
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to get signer", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: "Failed to get signer"
      });
      return;
    }
    let deserializedTransaction;
    try {
      deserializedTransaction = _web3js.Transaction.from(_bs582.default.decode(serializedTransaction));
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to deserialize transaction", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: "Failed to deserialize transaction"
      });
      return;
    }
    try {
      const { signature: txId } = yield signer.signAndSendTransaction(deserializedTransaction);
      console.log("[CryptoWalletConnectionHandler] txId", txId);
      iframeClient.send("crypto:send-transaction:success", {
        txId
      });
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to send transaction", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: error.message
      });
    }
  });
}


exports.handleSolanaTransaction = handleSolanaTransaction;
//# sourceMappingURL=handleSolanaTransaction.cjs.map