import {
  __async
} from "../../../../../chunk-CRTRMMJ7.js";

// src/components/embed/v3/crypto/utils/handleSolanaTransaction.ts
import { isSolanaWallet } from "@dynamic-labs/solana";
import { Transaction } from "@solana/web3.js";
import base58 from "bs58";
function handleSolanaTransaction(_0) {
  return __async(this, arguments, function* ({
    primaryWallet,
    serializedTransaction,
    iframeClient
  }) {
    let signer;
    try {
      if (!isSolanaWallet(primaryWallet)) {
        throw new Error("primaryWallet is not a Solana wallet");
      }
      signer = yield primaryWallet.getSigner();
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to get signer", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: "Failed to get signer"
      });
      return;
    }
    let deserializedTransaction;
    try {
      deserializedTransaction = Transaction.from(base58.decode(serializedTransaction));
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to deserialize transaction", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: "Failed to deserialize transaction"
      });
      return;
    }
    try {
      const { signature: txId } = yield signer.signAndSendTransaction(deserializedTransaction);
      console.log("[CryptoWalletConnectionHandler] txId", txId);
      iframeClient.send("crypto:send-transaction:success", {
        txId
      });
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to send transaction", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: error.message
      });
    }
  });
}
export {
  handleSolanaTransaction
};
//# sourceMappingURL=handleSolanaTransaction.js.map