import {
  __async
} from "../../../../../chunk-CRTRMMJ7.js";

// src/components/embed/v3/crypto/utils/handleSuiTransaction.ts
import { isSuiWallet } from "@dynamic-labs/sui";
import { Transaction } from "@mysten/sui/transactions";
function handleSuiTransaction(_0) {
  return __async(this, arguments, function* ({
    primaryWallet,
    serializedTransaction,
    iframeClient
  }) {
    let walletClient;
    try {
      if (!isSuiWallet(primaryWallet)) {
        throw new Error("primaryWallet is not a Sui wallet");
      }
      walletClient = yield primaryWallet.getWalletClient();
      if (!walletClient) {
        throw new Error("Failed to get wallet client");
      }
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to get wallet client", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: "Failed to get wallet client"
      });
      return;
    }
    let deserializedTransaction;
    try {
      deserializedTransaction = Transaction.from(serializedTransaction);
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to send transaction", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: "Failed to deserialize transaction"
      });
      return;
    }
    let signedTransaction;
    try {
      signedTransaction = yield primaryWallet.signTransaction(deserializedTransaction);
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to sign transaction", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: error.message
      });
      return;
    }
    try {
      const executeTransactionBlockResponse = yield walletClient.executeTransactionBlock({
        transactionBlock: signedTransaction.bytes,
        signature: signedTransaction.signature
      });
      console.log("[CryptoWalletConnectionHandler] executeTransactionBlockResponse", executeTransactionBlockResponse);
      iframeClient.send("crypto:send-transaction:success", {
        txId: executeTransactionBlockResponse.digest
      });
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to send transaction", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: error.message
      });
      return;
    }
  });
}
export {
  handleSuiTransaction
};
//# sourceMappingURL=handleSuiTransaction.js.map