import * as _crossmint_wallets_sdk from '@crossmint/wallets-sdk';
import { PasskeySigner } from '../types/passkey.js';
import * as _crossmint_client_sdk_react_base from '@crossmint/client-sdk-react-base';
import 'ox';

declare function useWallet(): ({
    status: "not-loaded" | "in-progress";
    wallet?: undefined;
    type?: undefined;
    error?: undefined;
} & {
    getOrCreateWallet: (args: _crossmint_client_sdk_react_base.GetOrCreateWalletProps) => Promise<{
        startedCreation: boolean;
        reason?: string;
    }>;
    createPasskeySigner: (name: string, promptType?: "create-wallet" | "transaction" | "not-supported" | "create-wallet-error" | "transaction-error") => Promise<PasskeySigner | null>;
    clearWallet: () => void;
    experimental_getOrCreateWalletWithRecoveryKey?: (args: {
        type: "solana";
        email?: string;
    }) => Promise<void>;
    passkeySigner?: PasskeySigner;
}) | ({
    status: "loading-error";
    wallet?: undefined;
    type?: undefined;
    error: string;
} & {
    getOrCreateWallet: (args: _crossmint_client_sdk_react_base.GetOrCreateWalletProps) => Promise<{
        startedCreation: boolean;
        reason?: string;
    }>;
    createPasskeySigner: (name: string, promptType?: "create-wallet" | "transaction" | "not-supported" | "create-wallet-error" | "transaction-error") => Promise<PasskeySigner | null>;
    clearWallet: () => void;
    experimental_getOrCreateWalletWithRecoveryKey?: (args: {
        type: "solana";
        email?: string;
    }) => Promise<void>;
    passkeySigner?: PasskeySigner;
}) | ({
    status: "loaded";
    wallet: _crossmint_wallets_sdk.EVMSmartWallet;
    type: "evm-smart-wallet";
    error?: undefined;
} & {
    getOrCreateWallet: (args: _crossmint_client_sdk_react_base.GetOrCreateWalletProps) => Promise<{
        startedCreation: boolean;
        reason?: string;
    }>;
    createPasskeySigner: (name: string, promptType?: "create-wallet" | "transaction" | "not-supported" | "create-wallet-error" | "transaction-error") => Promise<PasskeySigner | null>;
    clearWallet: () => void;
    experimental_getOrCreateWalletWithRecoveryKey?: (args: {
        type: "solana";
        email?: string;
    }) => Promise<void>;
    passkeySigner?: PasskeySigner;
}) | ({
    status: "loaded";
    wallet: _crossmint_wallets_sdk.SolanaSmartWallet;
    type: "solana-smart-wallet";
    error?: undefined;
} & {
    getOrCreateWallet: (args: _crossmint_client_sdk_react_base.GetOrCreateWalletProps) => Promise<{
        startedCreation: boolean;
        reason?: string;
    }>;
    createPasskeySigner: (name: string, promptType?: "create-wallet" | "transaction" | "not-supported" | "create-wallet-error" | "transaction-error") => Promise<PasskeySigner | null>;
    clearWallet: () => void;
    experimental_getOrCreateWalletWithRecoveryKey?: (args: {
        type: "solana";
        email?: string;
    }) => Promise<void>;
    passkeySigner?: PasskeySigner;
});

export { useWallet };
